$bs-md-max-width: 991px;

@mixin text_one_line {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

@mixin transitions($transition_params) {
  @if $transition_params {
    transition: $transition_params;
    -moz-transition: $transition_params;
    -webkit-transition: $transition_params;
  }
}

@mixin text_n_lines($no_of_lines, $line_height: 27px) {
  @if $no_of_lines {
    box-sizing: content-box;
    line-height: $line_height;
    max-height: calc(#{$line_height} * #{$no_of_lines});
    overflow: hidden;
    text-overflow: ellipsis;
    word-wrap: break-word;
    -webkit-line-clamp: $no_of_lines;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    // white-space: pre-wrap;
  }
}

@mixin circle_button($dimension: 38px) {
  width: $dimension;
  height: $dimension;
  min-width: $dimension;
  max-width: $dimension;
  border-radius: 50%;
  outline: none;
  border: none;
  @include transitions(all .2s ease);

  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    width: $dimension;
    height: $dimension;
    outline: none;
    border: none;
  }
}

@mixin tablet {
  @media screen and (max-width: #{$bs-md-max-width}) {
    @content;
  }
}

@mixin small_scroll {
  &::-webkit-scrollbar {
    width: 5px;
    height: 5px;
  }

  &::-webkit-scrollbar-track {
    background: none;
    border: none;
  }

  &::-webkit-scrollbar-thumb {
    background: #949292;
    border-radius: 10px;
  }

  &::-webkit-scrollbar-thumb:hover {
    background: var(--primary);
  }
}